<?php
require('bootstrap.php');

$config=require("config.php");

//pass cmd line args
if($argc<3){
    die(basename(__FILE__)." <USER> <REPO> [debug]\n");
}
$debug = ($argc==4 && $argv[3]=='debug');

//open connection and repo
$client=new Client($config['url'],$config['user'],$config['pass'],$debug);
$repo=$client->getRepo($argv[1],$argv[2]);

function label($name){
	if($label=$repo->getLabelByName($name)){
		return $label;
	}else{
		return $repo->createLabel($name);
	}
}

function issue($name){
	if($label=$repo->getIssueByName($name)){
		return $issue;
	}else{
		return $repo->createIssue($name);
	}
}

/*
$jan=label('janurary/repeat');
$iss=issue('test');
$iss->addLabel($jan);
*/

/*
//do the import
$f=fopen('import.csv','r');
while($data=fgetcsv($f)){
	print_r($data);
}
*/

$issue=new Issue($repo);
$issue->setTitle('nice')->setBody('ly')->save();
print_r($issue);
